%global momorel 1
%global md5sum_src0 d2612aecfa73806e072316033d78b203

Summary: Mount replacement which uses HAL to do the mounting 
Name: gnome-mount
Version: 0.6
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/System
%NoSource 0 http://people.freedesktop.org/~david/dist/%{name}-%{version}.tar.gz %{md5sum_src0}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: hal-devel >= 0.5.8.1 gtk2-devel >= 2.10.9 dbus-devel >= 1.0.2
BuildRequires: gnome-keyring-devel
BuildRequires: libgnomeui-devel
BuildRequires: gettext
BuildRequires: perl-XML-Parser
BuildRequires: gail-devel >= 1.9.2
Requires: hal >= 0.5.8.1
Requires: dbus >= 1.0.2

%description
A replacement for the mount, umount and eject commands that
uses HAL to do all the heavy lifting.

%package devel
Summary: Development files for gnome-mount
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development files for gnome-mount

%prep

%setup -q 

%build
%configure \
    --enable-nautilus-extension \
    --disable-schemas-install \
    --enable-static=no
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot} -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="gnome-mount.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/gnome-mount.schemas
%{_datadir}/locale/*/*/*
%{_bindir}/gnome-eject
%{_bindir}/gnome-mount
%{_bindir}/gnome-umount
%{_datadir}/%{name}/gnome-mount-properties.glade
%{_libdir}/nautilus/extensions-1.0/libgnome-mount.so
%{_mandir}/man1/%{name}.1.*

%files devel
%defattr(-, root, root)
%{_libdir}/pkgconfig/gnome-mount.pc

%changelog
* Wed May  2 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6-1m)
- update to 0.6

* Sat Feb 24 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5-1m)
- update to 0.5

* Fri Sep  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4-5m)
- rebuild against gail-1.9.2

* Sat Sep  2 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4-4m)
- use hal-0.5.7 (SATA does not work)

* Fri Sep  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4-3m)
- rebuild against dbus 0.92

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.4-2m)
- rebuild against expat-2.0.0-1m

* Tue Jun 13 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4-1m)
- import from FC

* Fri Jun  9 2006 Matthias Clasen <mclasen@redhat.com> - 0.4-7
- Fix BuildRequires

* Mon May 15 2006 John (J5) Palmieri <johnp@redhat.com> - 0.4-6
- Patch from Brian Pepple <bdpepple@ameritech.net> Add BR for 
  gnome-keyring-devel & libgnomeui-devel.

* Wed Mar  1 2006 David Zeuthen <davidz@redhat.com> - 0.4-5
- Update for new patch in #183191

* Wed Mar  1 2006 Matthias Clasen <mclasen@redhat.com> - 0.4-4
- Fix a crash without media (#183191)

* Tue Feb 28 2006 Karsten Hopp <karsten@redhat.de> 0.4-3
- add some buildrequires

* Mon Feb 13 2006 David Zeuthen <davidz@redhat.com> - 0.4-2
- Fix mounting of drives that HAL cannot poll

* Mon Feb 13 2006 David Zeuthen <davidz@redhat.com> - 0.4-1
- Update to upstream version 0.4

* Mon Feb 13 2006 Jesse Keating <jkeating@redhat.com> - 0.4-0.cvs20060213.1.1
- rebump for build order issues during double-long bump

* Mon Feb 13 2006 David Zeuthen <davidz@redhat.com> - 0.4-0.cvs20060213.1
- fix build

* Mon Feb 13 2006 David Zeuthen <davidz@redhat.com> - 0.4-0.cvs20060213
- new upstream snapshot

* Tue Feb 07 2006 John (J5) Palmieri <johnp@redhat.com> - 0.4-0.cvs20060117.2
- fix build

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.4-0.cvs20060117.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Tue Jan 17 2006 John (J5) Palmieri <johnp@redhat.com> - 0.4-0.cvs20060117
- CVS snapshot of gnome-mount
- Added a devel sub package for apps that compile in gnome-mount support

* Tue Jan 17 2006 John (J5) Palmieri <johnp@redhat.com> - 0.3-2
- Install the schema in the post

* Wed Jan 11 2006 Christopher Aillon <caillon@redhat.com> - 0.3-1
- Update to 0.3

* Mon Jan 09 2006 John (J5) Palmieri <johnp@redhat.com> - 0.2-1
- initial import 
